Package Details: caffeine-ng-git 3.5.2.dev88+gef22619-2

Git Clone URL: https://aur.archlinux.org/caffeine-ng-git.git (read-only, click to copy)
Package Base: caffeine-ng-git
Description: Status bar application able to temporarily inhibit the screensaver and sleep mode.
Upstream URL: https://github.com/caffeine-ng/caffeine-ng
Keywords: caffeine powersaving screensaver
Licenses: GPL3
Conflicts: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Provides: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Replaces: caffeine-oneclick, caffeine-systray
Submitter: whynothugo
Maintainer: whynothugo
Last Packager: whynothugo
Votes: 13
Popularity: 0.000000
First Submitted: 2015-03-29 17:57 (UTC)
Last Updated: 2022-04-19 16:07 (UTC)

Latest Comments

niazuma commented on 2021-11-08 00:13 (UTC)

whynothugo: that was it, thanks for the help on that

whynothugo commented on 2021-11-01 07:53 (UTC)

niazuma: looks like an issue with your AUR helpers cache. Try clearing it's cache or report the issue with the aur helper.

niazuma commented on 2021-11-01 01:48 (UTC)

I'm getting the following error trying to update this package:

:: (0/1) Downloaded PKGBUILD: caffeine-ng-git -> error fetching caffeine-ng-git: error: Your local changes to the following files would be overwritten by merge: PKGBUILD Please commit your changes or stash them before you merge. Aborting context: exit status 1

adrianinsaval commented on 2021-03-26 02:42 (UTC)

python-docopt is no longer a dependency, it was replaced with python-click: https://github.com/caffeine-ng/caffeine-ng/blob/main/CHANGELOG.rst

C0rn3j commented on 2021-01-22 23:49 (UTC)

python-pulse-control was just merged into python-pulsectl, you may want to update the dependency

yochananmarqos commented on 2021-01-17 02:35 (UTC)

git and python-setuptools-scm are missing from makedepends().

The options() array is not necessary, neither apply here.

The install file is not necessary, pacman has been taking care of those tasks for quite some time now.

Sesese9 commented on 2021-01-02 19:41 (UTC)

python-pulsectl is a runtime dependency now. Had to install for caffeine to run.

Traceback (most recent call last):
  File "/usr/bin/caffeine", line 33, in <module>
    sys.exit(load_entry_point('caffeine-ng==3.5.0.post2+gac736cd', 'gui_scripts', 'caffeine')())
  File "/usr/bin/caffeine", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/caffeine/main.py", line 54, in <module>
    from .core import Caffeine  # noqa: E402
  File "/usr/lib/python3.9/site-packages/caffeine/core.py", line 26, in <module>
    from pulsectl import Pulse
ModuleNotFoundError: No module named 'pulsectl'

whynothugo commented on 2019-10-10 19:17 (UTC)

Added new dependency.

CanalGuada commented on 2019-10-10 15:25 (UTC)

Hi ! Missing dependency (after merging pull request #35): python-pulse-control

whynothugo commented on 2019-09-10 08:08 (UTC)

Sorry about that; I had the changes done locally month ago and never remembered to push them. Should work fine now.

milkii commented on 2019-09-09 17:18 (UTC)

Hmm, getting;

  -> Cloning caffeine-ng git repo...
Cloning into bare repository '/home/milk/.cache/yay/caffeine-ng-git/caffeine-ng'...
Username for 'https://gitlab.com': 

Is the right repo url used?

TankMissile commented on 2019-08-30 16:34 (UTC)

The url needs to be changed, as the gitlab repository does not exist. Also, don't forget to add python-pulse-control as a dependency. Someone did the work for us and made a package for it already.

whynothugo commented on 2018-01-05 18:59 (UTC)

Fixed

whynothugo commented on 2017-01-08 19:53 (UTC)

@sergey.orloff I CLEARLY explained why your setup was broken in the previous post.

sergey.orloff commented on 2017-01-08 18:57 (UTC) (edited on 2017-01-08 18:59 (UTC) by sergey.orloff)

A big thank you to @hobarrera! Hi all! Helped here it is: sudo pacman -R python-ewmh python-xlib caffeine-ng && sudo pacman -S python-docopt python-setproctitle python-wheel python-xlib && yaourt -S python-ewmh caffeine-ng

whynothugo commented on 2017-01-08 17:23 (UTC) (edited on 2017-01-08 17:26 (UTC) by whynothugo)

If you see an error like: pkg_resources.DistributionNotFound: The 'XXXXXXXX' distribution was not found and is required by caffeine-ng Then you probably need to rebuild and reinstall packages build with python3.5 (due to the recent python3.6 upgrade). You can find a list of these packages running this command: pacman -Qo /usr/lib/python3.5

sergey.orloff commented on 2017-01-08 09:20 (UTC)

Recently not working Caffeine. Here's the terminal output: [sergey@p43es3g ~]$ caffeine Traceback (most recent call last): File "/usr/bin/caffeine", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3019, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3032, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 655, in _build_master ws.require(__requires__) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 963, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 849, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'ewmh>=0.1.4' distribution was not found and is required by caffeine-ng [sergey@p43es3g ~]$

Matombo commented on 2016-10-06 21:19 (UTC)

For the tray icon bug, found the missing dependency: it's libappindicator-gtk3 (not sure whats the difference to libindicator-gtk3)

whynothugo commented on 2016-08-13 05:42 (UTC)

The only changes between 3.3.6 and the latest HEAD are merely packaging changes (ie: relaxing dependency versions, etc), so I'm a bit unsure at to what might have broken plasma5 integration. I'll have to, eventually, spin up some VMs with different environments.

Rhinoceros commented on 2016-08-12 02:35 (UTC)

This won't build for me, but it's strange, because it built fine previously. I get the following error with pacaur: :: caffeine-ng-git package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD. If I manually makepkg, I get ==> ERROR: pkgver is not allowed to contain colons, hyphens or whitespace. ==> ERROR: pkgver() generated an invalid version: I think it's because pkgver has a trailing newline, so I replaced the second line of pkgver with python setup.py --version | tr -d '\n' It now builds fine (although doesn't run, with the same error as `caffeine-ng` [a]). @maxkaspar, FWIW the previous working version, caffeine-ng 3.3.6-1 (with the workaround [a]) shows the right-click menu perfectly fine in Plasma 5 for me. [a] https://aur.archlinux.org/packages/caffeine-ng/

maxkaspar commented on 2016-07-31 19:27 (UTC)

The tray icon doesn't show right-click menu in plasma 5. Is this some missing optional dependancy or plasma systray incompatibility?

wolfyrion commented on 2016-07-29 19:02 (UTC)

just edit /usr/lib/python3.5/site-packages/caffeine_ng-3.3.6-py3.5.egg-info/requires.txt as root and add # as for me I got tired of all these updates and broken caffeine and I added this #wheel>=0.24.0 #docopt==0.6.2 #ewmh>=0.1.3 #python3-xlib==0.15 #pyxdg==0.25 #setproctitle>=1.1.9 I think is working fine...

Rhinoceros commented on 2016-07-29 01:48 (UTC)

Fails to start with pkg_resources.DistributionNotFound: The 'wheel>=0.24.0' distribution was not found and is required by caffeine-ng Looks like you updated dependencies in caffeine-ng but not caffeine-ng-git?

Hzxllprkwx commented on 2016-06-15 01:49 (UTC) (edited on 2016-06-15 02:09 (UTC) by Hzxllprkwx)

Thanks for your answer ! Unfortunately it still not work but now I have a different output : [hzxllprkwx@ghost caffeine_ng-3.3.4-py3.5.egg-info]$ caffeine INFO:caffeine.core:Caffeine is starting up... ...and nothing happens. The process is stuck, I have to exit it. Here is the complete requires.txt I have : docopt==0.6.2 ewmh==0.1.3 python3-xlib==0.15 pyxdg==0.25 setproctitle>=1.1.9 Since the last version of pyxdg is python2-xdg-0.25-3 I tried to change pyxdg==0.25 for pyxdg>=0.25 Process still stuck So, just in case, I tried : docopt>=0.6.2 ewmh>=0.1.3 python3-xlib>=0.15 pyxdg>=0.25 setproctitle>=1.1.9 Still stuck. Finally tried pyxdg==0.25-3 : Traceback (most recent call last): File "/usr/bin/caffeine", line 5, in <module> ...blah blah blah (same as above) Any idea ?

whynothugo commented on 2016-06-14 22:29 (UTC)

Upstream has the requirement "setproctitle>=1.1.9". That should work with your version of setproctitle, I'm not sure why your installed package differs.

Hzxllprkwx commented on 2016-06-14 01:52 (UTC) (edited on 2016-06-14 01:53 (UTC) by Hzxllprkwx)

The tips below doesn't work for me :( I updated my python-setproctitle to 1.1.10-1 and at first I got : Caffeine is starting up... but nothing happened and I had to kill the script. In the requires.txt I tried : setproctitle==1.1.10-1 setproctitle>=1.1.10 setprocticle>=1.1.10-1 Now I have : ------------------------------ Traceback (most recent call last): File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 635, in _build_master ws.require(__requires__) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 943, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 834, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (setproctitle 1.1.10 (/usr/lib/python3.5/site-packages), Requirement.parse('setproctitle>=1.1.10-1'), {'caffeine-ng'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/caffeine", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2927, in <module> @_call_aside File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2913, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2940, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 637, in _build_master return cls._build_from_requirements(__requires__) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 650, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 829, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'setproctitle>=1.1.10-1' distribution was not found and is required by caffeine-ng ------------------------------ I use the latest version (3.3.4) Someone got à fix ?

Rhinoceros commented on 2016-05-14 12:24 (UTC)

Thank you. The latest version works fine for me.

whynothugo commented on 2016-05-14 10:54 (UTC)

Latest version of caffeine-ng should work fine with setproctitle 1.1.10 (or later versions).

Rhinoceros commented on 2016-05-14 10:25 (UTC)

Thanks for that @wolfyrion. caffeine stopped working for me too, and your solution fixed it for me. I also have the same python-setproctitle as you (the latest 1.1.10-1).

wolfyrion commented on 2016-05-13 15:31 (UTC)

I have it install but is the version python-setproctitle Version 1.1.10-1 Caffeine required setproctitle==1.1.09 thats why was giving errors so I had to change requires.txt to setproctitle==1.1.10

whynothugo commented on 2016-05-13 12:29 (UTC)

@wolfyrion: Looks like you don't have the dependency python-setproctitle installed.

wolfyrion commented on 2016-05-13 05:44 (UTC) (edited on 2016-05-13 05:44 (UTC) by wolfyrion)

Problem --------- Traceback (most recent call last): File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 635, in _build_master ws.require(__requires__) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 943, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 834, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (setproctitle 1.1.10 (/usr/lib/python3.5/site-packages), Requirement.parse('setproctitle==1.1.19'), {'caffeine-ng'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/caffeine", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2927, in <module> @_call_aside File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2913, in _call_aside f(*args, **kwargs) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2940, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 637, in _build_master return cls._build_from_requirements(__requires__) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 650, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 829, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'setproctitle==1.1.09' distribution was not found and is required by caffeine-ng Solution ----------- go to /usr/lib/python3.5/site-packages/caffeine_ng-3.3.0.post2+ng4dc87e5-py3.5.egg-info/ edit with root rights requires.txt setproctitle==1.1.10

octaveparango commented on 2016-02-04 19:08 (UTC) (edited on 2016-02-04 19:35 (UTC) by octaveparango)

I was able to install it now. However, I still can't use it. I just see an icon on my tray but I'm not able to click it. That's probably some kde plasma DE issue though..... edit: perfectly working when started from terminal. I can live without a working indicator :)

whynothugo commented on 2016-02-04 18:42 (UTC)

python-setuptools was missing a a dependency. Added it.

octaveparango commented on 2016-02-04 17:44 (UTC) (edited on 2016-02-04 18:34 (UTC) by octaveparango)

getting an error message: Traceback (most recent call last): File "setup.py", line 3, in <module> from setuptools import setup, find_packages ImportError: No module named 'setuptools' edit: turns out setuptools was a python package ^^ However, I still can't install the package even after installing setuptools

whynothugo commented on 2015-11-12 17:17 (UTC)

The error you're getting makes no sense. What's the output of python --version?

cj360 commented on 2015-11-12 17:01 (UTC)

Tried re-building earlier and I simply get: http://hastebin.com/jajuqoniga.coffee

VVedran commented on 2015-10-09 16:12 (UTC)

I installed caffeine-ng, it is working but it has some memory leak problem at least on my pc, git is working great so I must use git

VVedran commented on 2015-10-09 16:10 (UTC)

works great now, thank you

VVedran commented on 2015-10-09 16:08 (UTC)

haha, man you are quick, thanks for fast respond

whynothugo commented on 2015-10-09 16:03 (UTC)

Sorry, my mistake. Deleted the old mirror and forgot to update this PKGBUILD.

VVedran commented on 2015-10-09 15:58 (UTC)

hello everyone, I have a little problem installing caffeine-ng-git, it's asking me username and password like this Username for 'https://git.barrera.io': First time I am seeing this. Anyone could help I will appreciate it.

Rhinoceros commented on 2015-10-07 11:46 (UTC)

@getzze I could see the logic for bumping python-ewmh and python-xlib, but since this is a -git package, it's probably up to users to continually update it (e.g. with `pacaur -Syu --devel --needed`).

getzze commented on 2015-10-07 11:33 (UTC)

Can you increase pkgrel of all these packages to force rebuild after the upgrade to python3.5 ?

whynothugo commented on 2015-10-02 14:44 (UTC)

Yup, just reinstall all python packages after the py35 push: I used this: pacaur -S $(pacaur -Qoq /usr/lib/python3.4)

Rhinoceros commented on 2015-10-02 13:21 (UTC)

Ah, similar problems in ranger helped me [1]. Just re-install python-ewmh and python-xlib, and they will be moved to the correct locations for the python 3.5 update. [1] https://bbs.archlinux.org/viewtopic.php?pid=1566373#p1566373

Rhinoceros commented on 2015-10-02 13:09 (UTC)

I can't seem to start this any more. I get Traceback (most recent call last): File "/usr/bin/caffeine", line 19, in <module> from caffeine.main import main ImportError: No module named 'caffeine' I tried reinstalling, and I get Traceback (most recent call last): File "/usr/bin/caffeine", line 19, in <module> from caffeine.main import main File "/usr/lib/python3.5/site-packages/caffeine/main.py", line 43, in <module> from .core import Caffeine File "/usr/lib/python3.5/site-packages/caffeine/core.py", line 23, in <module> from ewmh import EWMH ImportError: No module named 'ewmh'